## TrackerThumbnailer

TrackerThumbnailer — Request the thumbnailer service creates or updates thumbnails.

## Functions

TrackerThumbnailer * | tracker_thumbnailer_new ()
void | tracker_thumbnailer_send ()
gboolean | tracker_thumbnailer_move_add ()
gboolean | tracker_thumbnailer_remove_add ()
gboolean | tracker_thumbnailer_cleanup ()

## Types and Values

struct | TrackerThumbnailer
struct | TrackerThumbnailerClass

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

This is a convenience API using D-Bus for creating and updating thumbnails for files being mined. It is also used to create thumbnails for album art found embedded in some medias.

This follows the thumbnailer specification: http://live.gnome.org/ThumbnailerSpec

## Functions

### tracker_thumbnailer_new ()

    TrackerThumbnailer *
    tracker_thumbnailer_new (void);

Creates a new TrackerThumbnailer object that can be used to signal the system's thumbnailing daemon(s) via D-Bus to add or remove content that needs thumbnailing.

For example, when mounting a USB thumb drive, content may not have thumbnails and this object allows the content of that thumb drive to be queued for processing.

#### Returns

`TRUE` if successfully stored to be reported, `FALSE` otherwise.

Since: 0.18.

### tracker_thumbnailer_send ()

    void
    tracker_thumbnailer_send (TrackerThumbnailer *thumbnailer);

Sends to the thumbnailer all stored requests.

#### Parameters

thumbnailer | Thumbnailer object |

Since: 0.8

### tracker_thumbnailer_move_add ()

    gboolean
    tracker_thumbnailer_move_add (TrackerThumbnailer *thumbnailer,
                                  const gchar *from_uri,
                                  const gchar *mime_type,
                                  const gchar *to_uri);

Adds a new request to tell the thumbnailer that `from_uri` was moved to `to_uri` . Stored requests can be sent with `tracker_thumbnailer_send()`.

#### Parameters

thumbnailer | Thumbnailer object |
from_uri | URI of the file before the move |
mime_type | mime-type of the file |
to_uri | URI of the file after the move |

#### Returns

TRUE if successfully stored to be reported, FALSE otherwise.

Since: 0.8

### tracker_thumbnailer_remove_add ()

    gboolean
    tracker_thumbnailer_remove_add (TrackerThumbnailer *thumbnailer,
                                    const gchar *uri,
                                    const gchar *mime_type);

Adds a new request to tell the thumbnailer that `uri` was removed. Stored requests can be sent with `tracker_thumbnailer_send()`.

#### Parameters

thumbnailer | Thumbnailer object |
uri | URI of the file |
mime_type | mime-type of the file |

#### Returns

TRUE if successfully stored to be reported, FALSE otherwise.

Since: 0.8

### tracker_thumbnailer_cleanup ()

    gboolean
    tracker_thumbnailer_cleanup (TrackerThumbnailer *thumbnailer,
                                 const gchar *uri_prefix);

Tells thumbnailer to cleanup all thumbnails under `uri_prefix` .

#### Parameters

thumbnailer | Thumbnailer object |
uri_prefix | URI prefix |

#### Returns

TRUE if successfully reported, FALSE otherwise.

Since: 0.8

## Types and Values

### struct TrackerThumbnailer

    struct TrackerThumbnailer {
    	GObject parent;
    };

A class implementation for managing thumbnails when mining content.

#### Members

GObject `parent`; | parent object |

### struct TrackerThumbnailerClass

    struct TrackerThumbnailerClass {
    	GObjectClass parent;
    };

Prototype for the class.

#### Members

GObjectClass `parent`; | parent object class |